diff --git a/Makefile.install b/Makefile.install
index e3dd551..495ad39 100644
--- a/Makefile.install
+++ b/Makefile.install
@@ -6,24 +6,11 @@ BINDIR		?= $(PREFIX)/bin
 SBINDIR		?= $(PREFIX)/sbin
 MANDIR		?= $(PREFIX)/share/man
 SYSTEMDUNITDIR	?= $(PREFIX)/lib/systemd/system/
-LOGROTATEDIR	?= $(PREFIX)/etc/logrotate.d/
+LOGROTATEDIR	?= $(SYSCONFDIR)/etc/logrotate.d/
 LIBDIR		?= $(PREFIX)/lib
 INCLUDEDIR	?= $(PREFIX)/include/criu
 LIBEXECDIR	?= $(PREFIX)/libexec
 
-#
-# For recent Debian/Ubuntu with multiarch support.
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
-ifneq "$(DEB_HOST_MULTIARCH)" ""
-        LIBDIR			?= $(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
-else
-        #
-        # For most other systems
-        ifeq "$(shell uname -m)" "x86_64"
-                LIBDIR		?= $(PREFIX)/lib64
-        endif
-endif
-
 export BINDIR SBINDIR MANDIR SYSTEMDUNITDIR LOGROTATEDIR
 export INCLUDEDIR LIBDIR DESTDIR PREFIX LIBEXECDIR
 
diff --git a/lib/Makefile b/lib/Makefile
index f1c0821..3bef265 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -25,8 +25,12 @@ lib-c: c/$(CRIU_SO)
 #
 # Python bindings.
 lib-py:
+ifeq ($(PYCRIU),yes)
 	$(call msg-gen, $@)
 	$(Q) $(MAKE) -C py all
+else
+	$(Q) echo "no py criu"
+endif
 .PHONY: lib-py
 
 all: lib-c lib-py
@@ -43,7 +47,7 @@ clean:
 	$(Q) $(RM) -r build usr
 .PHONY: clean
 
-install: lib-c lib-py ../crit/crit c/criu.pc.in
+install: lib-c ../crit/crit c/criu.pc.in
 	$(E) "  INSTALL " $(CRIU_SO)
 	$(Q) mkdir -p $(DESTDIR)$(LIBDIR)
 	$(Q) install -m 755 c/$(CRIU_SO) $(DESTDIR)$(LIBDIR)/$(CRIU_SO).$(CRIU_SO_VERSION_MAJOR).$(CRIU_SO_VERSION_MINOR)
@@ -55,8 +59,6 @@ install: lib-c lib-py ../crit/crit c/criu.pc.in
 	$(Q) mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
 	$(Q) sed -e 's,@version@,$(CRIU_VERSION),' -e 's,@libdir@,$(LIBDIR),' -e 's,@includedir@,$(dir $(INCLUDEDIR)),' c/criu.pc.in > c/criu.pc
 	$(Q) install -m 644 c/criu.pc $(DESTDIR)$(LIBDIR)/pkgconfig
-	$(E) "  INSTALL " crit
-	$(Q) python ../scripts/crit-setup.py install --root=$(DESTDIR) --prefix=$(PREFIX) --record $(CRIT_SETUP_FILES)
 .PHONY: install
 
 uninstall:
diff --git a/scripts/nmk/scripts/build.mk b/scripts/nmk/scripts/build.mk
index bd40944..3cfbffa 100644
--- a/scripts/nmk/scripts/build.mk
+++ b/scripts/nmk/scripts/build.mk
@@ -87,7 +87,7 @@ builtin-name	:= $(strip $(builtin-name))
 
 #
 # Link flags.
-ld_flags	:= $(strip $(LDFLAGS) $(ldflags-y))
+ld_flags	:= $(strip $(RAW_LDFLAGS) $(ldflags-y))
 
 #
 # $(obj) related rules.
